# Uses of Interface
org.opensaml.soap.wsaddressing.SoapAction

Packages that use SoapAction
Package
Description
org.opensaml.soap.wsaddressing
XMLObject interfaces for WS-Addressing 1.0 elements.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.

## Uses of SoapAction in org.opensaml.soap.wsaddressing

Methods in org.opensaml.soap.wsaddressing that return SoapAction
Modifier and Type
Method
Description
`SoapAction`
ProblemAction.`getSoapAction()`
Get the SoapAction child element.
Methods in org.opensaml.soap.wsaddressing with parameters of type SoapAction
Modifier and Type
Method
Description
`void`
ProblemAction.`setSoapAction(SoapAction newSoapAction)`
Set the SoapAction child element.

## Uses of SoapAction in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement SoapAction
Modifier and Type
Class
Description
`class`
`SoapActionImpl`
Implementation of `SoapAction`.
Fields in org.opensaml.soap.wsaddressing.impl declared as SoapAction
Modifier and Type
Field
Description
`private SoapAction`
ProblemActionImpl.`soapAction`
SoapAction child element.
Methods in org.opensaml.soap.wsaddressing.impl that return SoapAction
Modifier and Type
Method
Description
`SoapAction`
SoapActionBuilder.`buildObject()`
Builds a WS-Addressing object.
`SoapAction`
SoapActionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SoapAction`
ProblemActionImpl.`getSoapAction()`
Get the SoapAction child element.
Methods in org.opensaml.soap.wsaddressing.impl with parameters of type SoapAction
Modifier and Type
Method
Description
`void`
ProblemActionImpl.`setSoapAction(SoapAction newSoapAction)`
Set the SoapAction child element.